Bug 1161565 (CVE-2014-7825, CVE-2014-7826) - CVE-2014-7825 CVE-2014-7826 kernel: insufficient syscall number validation in perf and ftrace subsystems
Summary: CVE-2014-7825 CVE-2014-7826 kernel: insufficient syscall number validation in...
Status: NEW
Alias: CVE-2014-7825, CVE-2014-7826
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141107,repor...
Keywords: Security
Depends On: 1161567 1161568 1161569 1161570 1161571 1161572
Blocks: 1160107
TreeView+ depends on / blocked
 
Reported: 2014-11-07 11:05 UTC by Petr Matousek
Modified: 2019-02-08 14:56 UTC (History)
25 users (show)

(edit)
An out-of-bounds memory access flaw, CVE-2014-7825, was found in the syscall tracing functionality of the Linux kernel's perf subsystem. A local, unprivileged user could use this flaw to crash the system. Additionally, an out-of-bounds memory access flaw, CVE-2014-7826, was found in the syscall tracing functionality of the Linux kernel's ftrace subsystem. On a system with ftrace syscall tracing enabled, a local, unprivileged user could use this flaw to crash the system, or escalate their privileges.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1943 normal SHIPPED_LIVE Moderate: kernel-rt security, bug fix, and enhancement update 2014-12-02 22:09:02 UTC
Red Hat Product Errata RHSA-2015:0290 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-03-05 16:13:58 UTC
Red Hat Product Errata RHSA-2015:0864 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-04-21 19:00:52 UTC

Description Petr Matousek 2014-11-07 11:05:10 UTC
An out-of-bounds memory access flaw was found in the Linux kernel's perf and
ftrace subsystems.

On a system with syscall perf profiling on (CVE-2014-7825) an unprivileged local
user could use this flaw to crash the system.

On a system with ftrace syscall tracing on (CVE-2014-7826) an unprivileged local
user could use this flaw to crash the system or escalate their privileges on
the system.

References:
http://www.openwall.com/lists/oss-security/2014/11/06/11

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=086ba77a6db00ed858ff07451bedee197df868c9

Acknowledgements:

Red Hat would like to thank Robert Święcki for reporting these issues.

Comment 3 Petr Matousek 2014-11-07 11:08:27 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1161572]

Comment 4 Petr Matousek 2014-11-07 11:11:20 UTC
Statement CVE-2014-7825:

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5.

This issue does affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for
the respective releases may address this issue.

Statement CVE-2014-7826:

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 5.

This issue does affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for
the respective releases may address this issue.

Note that the impact on Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise
MRG 2 is limited to local denial of service. Privilege escalation is not
possible.

Comment 6 Fedora Update System 2014-11-18 12:17:48 UTC
kernel-3.17.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-20 23:04:14 UTC
kernel-3.17.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2014-12-02 17:09:38 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1943 https://rhn.redhat.com/errata/RHSA-2014-1943.html

Comment 9 Fedora Update System 2015-01-05 07:35:04 UTC
kernel-3.14.27-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2015-03-05 12:58:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0290 https://rhn.redhat.com/errata/RHSA-2015-0290.html

Comment 11 errata-xmlrpc 2015-04-21 15:01:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0864 https://rhn.redhat.com/errata/RHSA-2015-0864.html


Note You need to log in before you can comment on or make changes to this bug.